Name:           transset-df
Version:        6
Release:        %mkrel 11
Summary:        Sets translucency properties
License:        MIT
Group:          System/X11

URL:            https://forchheimer.se/transset-df/
Source0:        https://forchheimer.se/transset-df/%{name}-%{version}.tar.gz
Patch0:         transset-df-6-cflags.patch

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xdamage)

%description
This is a modified version of xorg's original transset. It allows
setting and unsetting window's transparency by pressing a key without
bringing up the crosshairs.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README ChangeLog
%{_bindir}/%{name}



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 6-11.mga9
+ Revision: 1810888
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 6-10.mga8
+ Revision: 1517457
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 6-9.mga7
+ Revision: 1301453
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 6-8.mga7
+ Revision: 1157019
- fix debug packages

* Mon Feb 08 2016 umeabot <umeabot> 6-7.mga6
+ Revision: 944574
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6-6.mga5
+ Revision: 750785
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6-5.mga5
+ Revision: 689946
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6-4.mga4
+ Revision: 519723
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 6-3.mga3
+ Revision: 384779
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 6-2.mga3
+ Revision: 314538
- Rebuild for mga3

* Wed Apr 13 2011 obgr_seneca <obgr_seneca> 6-1.mga1
+ Revision: 84418
- removed unneccessary Source1
- imported package transset-df


* Fri Apr 12 2011 Chris Ringeval <dirteat@gmail.com> 6-1mga1
- mga release
